#include "Defs.h"
#include <avr\pgmspace.h>
#include "ErrorCodes.h"

/*
#define ENoError          0
#define EFrameRecvOK    128
#define ENoDSYN         134
#define ECommError      134 // HW communication error, the same code as ENoDSYN
#define EFrameWaitTOut  135
#define ENoTag          135 // Share the same code with EFrameWaitTOut
#define EInvalidSof     136
#define EBufOverflow    137
#define EFramingError   138 // if start bit = 1 or stop bit = 0
#define EEgtError       139 // EGT time out
#define ENotStarted     200
*/

BYTE *ErrGetCodeStr ( BYTE AErrorCode )
{
 BYTE *BResult;

 BResult=0;
 switch (AErrorCode)
  {
   case ENoError:
     BResult=(BYTE *)PSTR("No error");
     break;

   case EFrameRecvOK:
     BResult=(BYTE *)PSTR("Frame received with no errors");
     break;

   case ENoDSYN:
     BResult=(BYTE *)PSTR("Hardware failure: No DSYN");
     break;

   case EFrameWaitTOut:
     BResult=(BYTE *)PSTR("TAG response waiting time out");
     break;

   case EInvalidSof:
     BResult=(BYTE *)PSTR("Invalid SOF received");
     break;

   case EBufOverflow:
     BResult=(BYTE *)PSTR("Reception buffer overflow");
     break;

   case EFramingError:
     BResult=(BYTE *)PSTR("Framing error (Start bit = 1 or stop bit = 0)");
     break;

   case EEgtError:
     BResult=(BYTE *)PSTR("EGT time out");
     break;

   case ENotStarted:
     BResult=(BYTE *)PSTR("Internal error: operation void");
     break;

  }

 return BResult;
}
