#ifndef ErrorCodes_H
#define ErrorCodes_H

#include "Defs.h"

#define ENoError          0
#define EFrameRecvOK    128
#define ENoDSYN         134
#define ECommError      134 // HW communication error, the same code as ENoDSYN
#define EFrameWaitTOut  135
#define ENoTag          135 // Share the same code with EFrameWaitTOut
#define EInvalidSof     136
#define EBufOverflow    137
#define EFramingError   138 // if start bit = 1 or stop bit = 0
#define EEgtError       139 // EGT time out
#define ENotStarted     200

BYTE *ErrGetCodeStr ( BYTE AErrorCode );

#endif

