#include <avr\io.h>
#include "Defs.h"

void TimerSet ( BYTE ATimerFlags, BYTE ATimerCmp )
{
 TCCR2=ATimerFlags;
 OCR2=ATimerCmp;
 TCNT2=0;
 TIFR=0x80;
}

void TimerStop ( void )
{
 TCCR2=0;
 OCR2=255;
 TCNT2=0;
 TIFR=0x80;
}

BYTE IntDisable ( void )
{
 BYTE BResult;

 BResult=SREG;
 SREG&=0x7F;

 return (BResult);
}

void IntRestore ( BYTE AIntSave )
{
 SREG=AIntSave;
}

void WDReset ( void )
{
 asm("wdr"::);
}


